Loading...
Searching...
No Matches
netlink_pm_mptcp_org.c File Reference

mptcpd generic netlink commands. More...

`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <ell/genl.h>`
`#include <ell/util.h>`
`#include <ell/log.h>`
`#include "commands.h"`
`#include "netlink_pm.h"`
`#include <mptcpd/private/mptcp_org.h>`
`#include <mptcpd/private/netlink_pm.h>`
`#include <mptcpd/private/path_manager.h>`
`#include <mptcpd/path_manager.h>`
Include dependency graph for netlink_pm_mptcp_org.c:

## Macros

#define | MPTCP_SYSCTL_BASE "/proc/sys/net/mptcp/"
| Directory containing MPTCP sysctl variable entries.
#define | MPTCP_PM_NAME_MAX 16
| Maximum path manager name length.

## Functions

struct mptcpd_netlink_pm const * | mptcpd_get_netlink_pm (void)
| Get MPTCP generic netlink path manager characteristics.

## Detailed Description

mptcpd generic netlink commands.

Copyright (c) 2017-2021, Intel Corporation

## Macro Definition Documentation

## MPTCP_PM_NAME_MAX

#define MPTCP_PM_NAME_MAX 16

Maximum path manager name length.

Note
  `MPTCP_PM_NAME_MAX` is defined in the internal `<net/mptcp.h>` header in the multipath-tcp.org kernel.